> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Async Inference for result



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/serving/{model_server_id}/pollAsync/{async_task_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/serving/{model_server_id}/pollAsync/{async_task_id}:
    get:
      tags:
        - Model server
      summary: Poll Async Inference for result
      operationId: GET-V4-/v4/serving/{model_server_id}/pollAsync/{async_task_id}
      parameters:
        - name: model_server_id
          in: path
          required: true
          schema:
            type: string
            title: Model Server Id
        - name: async_task_id
          in: path
          required: true
          schema:
            type: string
            title: Async Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncPollTaskResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AsyncPollTaskResponse:
      properties:
        status:
          type: string
          title: Status
        result:
          title: Result
        traceback:
          title: Traceback
          type: string
        reason:
          title: Reason
          type: string
        code:
          title: Code
          type: string
      type: object
      required:
        - status
      title: AsyncPollTaskResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````